all: associativity.out associativity_hbw.out

CC=gcc
CFLAGS= -std=c11 -O0

associativity.out : associativity.c
	$(CC) -o $@ $^ $(CFLAGS)

associativity_hbw.out : associativity_hbw.c
	$(CC) -o $@ $^ $(CFLAGS) -lmemkind

clean:
	rm *.out
